Retrieve a reimbursement
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "reimbursement",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"reimbursement_type": {
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement"
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"amount": 35,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reimbursements/<id>"
}
}Reimbursements
Retrieve a reimbursement
GET
/
reimbursements
/
{reimbursement}
Retrieve a reimbursement
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/reimbursements/{reimbursement}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "reimbursement",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"reimbursement_type": {
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement"
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"amount": 35,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reimbursements/<id>"
}
}Authorizations
Query Parameters
Response
200 - application/json
OK
- Default
- With business_preset expanded
- With work_assignment expanded
- With expense_accounting_code expanded
- With liability_accounting_code expanded
- With tag_assignment expanded
Hide child attributes
Hide child attributes
The type of reimbursement, which determines how it is categorized and reported on Pay Stubs.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
How this type affects the payroll calculation in this jurisdiction.
Available options:
accrues_vacation_pay, included_in_gross_pay, included_in_hour_totals, included_in_stat_holiday_pay, moves_money, reduces_base, tax_credit, withholding Hide child attributes
Hide child attributes
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The provinces of employment where amounts of this type are reported in this box. RL-1 boxes apply only in Quebec. Most T4 and T4A boxes apply in every province; a few, such as for Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

